> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Email Change



## OpenAPI

````yaml /openapi.json post /v1/auth/email-change/verify
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/email-change/verify:
    post:
      tags:
        - Auth
      summary: Verify Email Change
      operationId: AuthController_verifyEmailChange_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyEmailChangeDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthResponseDto'
components:
  schemas:
    VerifyEmailChangeDto:
      type: object
      properties:
        token:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      required:
        - token
      additionalProperties: false
    AuthResponseDto:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/AccountResponseDto'
        workspace:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/WorkspaceResponseDto'
        accessToken:
          type: string
        refreshToken:
          type: string
      required:
        - user
        - workspace
        - accessToken
        - refreshToken
    AccountResponseDto:
      type: object
      properties:
        phone:
          type: string
          nullable: true
        pendingEmail:
          type: string
          nullable: true
        hasPassword:
          type: boolean
        googleLinked:
          type: boolean
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        status:
          enum:
            - active
            - inactive
            - deactivated
          type: string
        avatar:
          type: string
          nullable: true
      required:
        - phone
        - pendingEmail
        - hasPassword
        - googleLinked
        - id
        - email
        - firstName
        - lastName
        - status
        - avatar
    WorkspaceResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerId:
          type: string
          nullable: true
      required:
        - id
        - name
        - ownerId

````